# Created by pyp2rpm-3.3.8
%global pypi_name youtube-dl-gui
%global pypi_version 1.0.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Yet another youtube-dl frontend written in python3 and qt5

License:        None
URL:            https://github.com/Red-Eyed/youtube-dl-gui
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
youtube-dl-GUI Yet another youtube-dl frontend written in python 3.7 and Qt5
ScreenShot: - ![youtube-dl-gui Screenshot in Ubuntu]( pip install youtube-dl-
gui

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       (python3dist(pyqt5) >= 5.15 with python3dist(pyqt5) < 6~~)
Requires:       python3dist(setuptools)
Requires:       (python3dist(youtube-dl) >= 2020.6.16 with python3dist(youtube-dl) < 2021~~)
%description -n python3-%{pypi_name}
youtube-dl-GUI Yet another youtube-dl frontend written in python 3.7 and Qt5
ScreenShot: - ![youtube-dl-gui Screenshot in Ubuntu]( pip install youtube-dl-
gui


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE youtube_dl_gui/GUI/LicenseDialog.py youtube_dl_gui/UI/resources/LicenseDialog.ui
%doc README.md
%{_bindir}/youtube-dl-gui
%{python3_sitelib}/youtube_dl_gui
%{python3_sitelib}/youtube_dl_gui-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu May 26 2022 mockbuilder - 1.0.4-1
- Initial package.